List Wikipedia recent changes
List recent changes on a Wikipedia edition by type, namespace, page or time.
Headers
Get your API keyAPI key (`sfk_...`)
Wikimedia edition code, e.g. `en`, `de`, `ja`, `simple` or `zh-min-nan`. Default: `en`.
Only changes of this type.
one of: edit, new, log, categorize, external
Namespace id, e.g. `0` for articles or `14` for categories.
≥ -2 · ≤ 999
Only changes at or after this time, as `YYYY-MM-DD` or an ISO 8601 date-time with a zone.
Only changes to this page.
Rows per page, 1 to 500. Default: 50.
≥ 1 · ≤ 500
Cursor from `page.nextCursor` of the previous response. It only works with the same filters.
min 1 chars · max 2048 chars
Endpoint-specific response payload.
Whether the entity, page or data set exists. A missing entity is `not_found`; an existing entity with no rows is `found` with `empty: true`.
one of: found, not_found
Edition code.
Changes in this page of the walk.
Change type, e.g. `edit`, `new`, `log`.
Namespace id.
Title.
Page id.
Revision id.
Previous revision id.
Recent-change id.
User name.
User id; null when hidden.
Whether a bot made it.
Whether it created the page.
Whether it was minor.
Whether a temporary account made the change.
Size before.
Size after.
When it happened, ISO 8601.
Summary.
Whether it is a redirect.
Change tags.
Content hash.
Log id, on log rows.
Log type, on log rows.
Log action, on log rows.
Log parameters, on log rows.
Pagination state. `nextCursor` is null on the last page.
Whether another page is available.
Cursor to pass in the next request when more pages exist; null on the last page.
Whether the answer is a valid empty result rather than missing.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/wikipedia/recent-changes?lang=en" \
-H "x-api-key: YOUR_API_KEY"Responses
List Wikipedia recent changes